Still failing to bootstrap on Solaris (CONFIG_SHELL doesn't help)

Gerald Pfeifer pfeifer@dbai.tuwien.ac.at
Thu May 2 09:36:00 GMT 2002


[ I added an explicit Cc: to Tom and the java list, as Tom has spent
  most time with this "nice" bug. ]

On 2 May 2002, Rainer Orth wrote:
>> But java is *not* default on solaris, so at this late date
>> I am unconcerned.
> It used to be up to solaris 2.7, and disabled for 2.8 in the toplevel
> configure.in.  This has changed, though: now it's on by default for all
> releases, with a check which bails out if libgcj.la is present in $libdir.
> This check is for sparc-*-solaris2.8 only at the moment.  The new reports
> indicate that this problem occurs at least with some ld patchlevels on
> solaris 2.7.  I've just verified that it happens with the latest solaris
> 2.6 (107733-10) and 2.5.1 (103627-15) ld patches as well.
>
> So the safest approach seems to be to match *-*-solaris2* there to
> accomodate all of sparc, sparcv9 and i?86.

As the one having reported the problem originally (and tried various
fixes Tom and others have suggested) I agree.

Given your new information, this seems to be the safest approach. (Can
one of you submit a patch for configure and the installation docs for
this?)

Gerald
-- 
Gerald "Jerry" pfeifer@dbai.tuwien.ac.at http://www.dbai.tuwien.ac.at/~pfeifer/



More information about the Java mailing list